Next_Map_Select()
{
	if (game["mode"] == "match")
	{
		logPrint("ME\n");
		Fast_Restart();
	}
}

PAM_state_change()
{
	level.mapended = true;
	level.pam_mode_change = true;

	pam = newHudElem();
	pam.x = 320;
	pam.y = 70;
	pam.alignX = "center";
	pam.alignY = "middle";
	pam.fontScale = 1.5;
	pam.color = (.98, .827, .58);
	pam setText(game["pam_on_off"]);

	pls_wait = newHudElem();
	pls_wait.x = 320;
	pls_wait.y = 85;
	pls_wait.alignX = "center";
	pls_wait.alignY = "middle";
	pls_wait.fontScale = 1.5;
	pls_wait.color = (.98, .827, .58);
	pls_wait setText(game["please_wait"]);

	game["pam_enabled"] = getCvarint("sv_pam");

	wait level.fps_multiplier * 4;

	//Rotate_to_Same_Map();

	//exitLevel(false);

	thread Fast_Restart();
}

PAM_mode_change(mode)
{
	level.mapended = true;
	level.pam_mode_change = true;

	wait level.fps_multiplier * 1;

	iprintlnbold("^3PAM mode changing to ^2" + mode);
	iprintlnbold("^3Please wait...");

	wait level.fps_multiplier * 4;

	//Rotate_to_Same_Map();

	//exitLevel(false);

	thread Fast_Restart();
}

Rotate_to_Same_Map()
{
	repeat = getcvar("mapname");
	current = getcvar("sv_maprotationcurrent");

	new_rotation = "map " + repeat + " " + current;

	setcvar("sv_maprotationcurrent", new_rotation);
}

Fast_Restart()
{
	level.exiting_map = true;

	players = getentarray("player", "classname");
	for(i = 0; i < players.size; i++)
	{
		players[i] thread Reset_Player_Info();
	}

	game["ambient_sounds"] = undefined;
	game["ambient_fire"] = undefined;
	game["ambient_weather"] = undefined;

	game["gamestarted"] = undefined;
	game["matchstarted"] = undefined;
	game["firstreadyupdone"] = undefined;
	game["ruleset"] = undefined;
	game["mode"] = undefined;
	game["allies"] = undefined;
	game["axis"] = undefined;
	game["attackers"] = undefined;
	game["defenders"] = undefined;
	game["mc_current_msg"] = undefined;
	game["timepassed"] = undefined;
	game["state"] = undefined;
	game["roundsplayed"] = undefined;
	game["switchprevent"] = undefined;

	game["dolive"] = 0;
	game["halftimeflag"] = 0;
	game["alliedscore"] = 0;
	game["axisscore"] = 0;
	game["half_1_allies_score"] = 0;
	game["half_1_axis_score"] = 0; 
	game["half_2_allies_score"] = 0;
	game["half_2_axis_score"] = 0;
	game["Team_1_Score"] = 0;
	game["Team_2_Score"] = 0;
	game["roundsplayed"] = 0;
	game["DoReadyUp"] = false;
	game["Do_Ready_up"] = 0;

	map_restart(true);
}

Reset_Player_Info()
{
	self.pers["dvarenforcement"] = undefined;
	self.pers["team"] = undefined;
	self.pers["weapon"] = undefined;
	self.pers["savedmodel"] = undefined;
	self.pers["deaths"] = undefined;
	self.pers["score"] = undefined;
	self.pers["weapon1"] = undefined;
	self.pers["weapon2"] = undefined;
	self.pers["spawnweapon"] = undefined;
	self.pers["skipserverinfo"] = undefined;
	self.pers["tkcount"] = 0;
	self.pers["tktimer"] = 0;
	self.pers["tker_reflect"] = 0;
}