Get_SD_Rules()
{
	switch (game["ruleset"])
	{	// Rule Files in Alpha Order
		case "acl":
			maps\pam\rules\sd\acl::Rules();
			break;
		case "bcb":
			maps\pam\rules\sd\bcb::Rules();
			break;
		case "bfl":
			maps\pam\rules\sd\bfl::Rules();
			break;
		case "bht":
			maps\pam\rules\sd\bht::Rules();
			break;
		case "cal":
			maps\pam\rules\sd\cal::Rules();
			break;
		case "cal_euro":
			maps\pam\rules\sd\cal_euro::Rules();
			break;
		case "cb":
			maps\pam\rules\sd\cb::Rules();
			break;
		case "cb_1v1":
			maps\pam\rules\sd\cb_1v1::Rules();
			break;
		case "cb_2v2":
			maps\pam\rules\sd\cb_2v2::Rules();
			break;
		case "ccodl":
			maps\pam\rules\sd\ccodl::Rules();
			break;
		case "cevo":
			maps\pam\rules\sd\cevo::Rules();
			break;
		case "cod2pug":
			maps\pam\rules\sd\cod2pug::Rules();
			break;
		case "cod_league":
			maps\pam\rules\sd\cod_league::Rules();
			break;
		case "deathless":
			maps\pam\rules\sd\deathless::Rules();
			break;
		case "dk_liga":
			maps\pam\rules\sd\dk_liga::Rules();
			break;
		case "ecl":
			maps\pam\rules\sd\ecl::Rules();
			break;
		case "ecl_2v2":
			maps\pam\rules\sd\ecl_2v2::Rules();
			break;
		case "ecl_lnc_2v2":
			maps\pam\rules\sd\ecl_lnc_2v2::Rules();
			break;
		case "ecw":
			maps\pam\rules\sd\ecw::Rules();
			break;
		case "ed":
			maps\pam\rules\sd\ed::Rules();
			break;
		case "ed_3v3":
			maps\pam\rules\sd\ed_3v3::Rules();
			break;
		case "edom":
			maps\pam\rules\sd\edom::Rules();
			break;
		case "e-pro":
			maps\pam\rules\sd\epro::Rules();
			break;
		case "esl":
			maps\pam\rules\sd\esl::Rules();
			break;
		case "esl_mr12":
			maps\pam\rules\sd\esl_mr12::Rules();
			break;
		case "esl_mr15":
			maps\pam\rules\sd\esl_mr15::Rules();
			break;
		case "esl_1v1":
			maps\pam\rules\sd\esl_1v1::Rules();
			break;
		case "esl_2v2":
			maps\pam\rules\sd\esl_2v2::Rules();
			break;
		case "esleu":
			maps\pam\rules\sd\esleu::Rules();
			break;
		case "esleu_cup":
			maps\pam\rules\sd\esleu_cup::Rules();
			break;
		case "esleu_1v1":
			maps\pam\rules\sd\esleu_1v1::Rules();
			break;
		case "esleu_2v2":
			maps\pam\rules\sd\esleu_2v2::Rules();
			break;
		case "eumr10":
			maps\pam\rules\sd\eumr10::Rules();
			break;
		case "eumr12":
			maps\pam\rules\sd\eumr12::Rules();
			break;
		case "eumr15":
			maps\pam\rules\sd\eumr15::Rules();
			break;
		case "eurocup":
			maps\pam\rules\sd\eurocup::Rules();
			break;
		case "ga":
			maps\pam\rules\sd\ga::Rules();
			break;
		case "ggl":
			maps\pam\rules\sd\ggl::Rules();
			break;
		case "gwl":
			maps\pam\rules\sd\gwl::Rules();
			break;
		case "gwl_rifles":
			maps\pam\rules\sd\gwl_rifles::Rules();
			break;
		case "huncup":
			maps\pam\rules\sd\huncup::Rules();
			break;
		case "huncup_playoff":
			maps\pam\rules\sd\huncup_playoff::Rules();
			break;
		case "lgz":
			maps\pam\rules\sd\lgz::Rules();
			break;
		case "lgz_1v1":
			maps\pam\rules\sd\lgz_1v1::Rules();
			break;
		case "lgz_2v2":
			maps\pam\rules\sd\lgz_2v2::Rules();
			break;
		case "mgl":
			maps\pam\rules\sd\mgl::Rules();
			break;
		case "mgl_league":
			maps\pam\rules\sd\mgl_league::Rules();
			break;
		case "mlo":
			maps\pam\rules\sd\mlo::Rules();
			break;
		case "namr10":
			maps\pam\rules\sd\namr10::Rules();
			break;
		case "namr12":
			maps\pam\rules\sd\namr12::Rules();
			break;
		case "obinet":
			maps\pam\rules\sd\obinet::Rules();
			break;
		case "ogl":
			maps\pam\rules\sd\ogl::Rules();
			break;
		case "opencup":
			maps\pam\rules\sd\opencup::Rules();
			break;
		case "redcup":
			maps\pam\rules\sd\redcup::Rules();
			break;
		case "sl":
			maps\pam\rules\sd\sl::Rules();
			break;
		case "sotf":
			maps\pam\rules\sd\sotf::Rules();
			break;
		case "tmgl":
			maps\pam\rules\sd\tmgl::Rules();
			break;
		case "torneocod":
			maps\pam\rules\sd\torneocod::Rules();
			break;
		case "twl_eu":
			maps\pam\rules\sd\twl_eu::Rules();
			break;
		case "twl_eu_rifles":
			maps\pam\rules\sd\twl_eu_rifles::Rules();
			break;
		case "twl_eu_smoke":
			maps\pam\rules\sd\twl_eu_smoke::Rules();
			break;
		case "twl_ladder":
			maps\pam\rules\sd\twl_ladder::Rules();
			break;
		case "twl_league":
			maps\pam\rules\sd\twl_league::Rules();
			break;
		case "twl_rifles":
			maps\pam\rules\sd\twl_rifles::Rules();
			break;
		case "twl_rifles_league":
			maps\pam\rules\sd\twl_rifles_league::Rules();
			break;
		case "twl_stock":
			maps\pam\rules\sd\twl_stock::Rules();
			break;
		case "xpl":
			maps\pam\rules\sd\xpl::Rules();
			break;

		case "lan":
			maps\pam\rules\sd\lan::Rules();
			break;


		case "pub":
		default:
			setCvar("pam_mode", "pub");
			game["ruleset"] = "pub";
			game["mode"] = "pub";
			maps\pam\rules\sd\pub::Rules();
	}

	// S&D Specific DVARs that must be set
	[[level.setdvar]]("sv_playersleft", 1, 0, 1);
	[[level.setdvar]]("scr_sd_PlantTime", 5, 0);
	[[level.setdvar]]("scr_sd_DefuseTime", 10, 0);

	[[level.setdvar]]("scr_sd_half_round", 0, 0);
	[[level.setdvar]]("scr_sd_half_score", 0, 0);
	[[level.setdvar]]("scr_sd_end_round", 0, 0);
	[[level.setdvar]]("scr_sd_end_score", 0, 0);
	[[level.setdvar]]("scr_sd_end_half2score", 0, 0);
}