Precache()
{
	precacheShader("black");
	precacheShader("white");

	/* PAM precacheStrings */
	// HUD Header Elements
	maps\pam\pam_version_utils::Get_PAM_Version();
	precacheString(game["pamstring"]);

	// Logo
	if (level.gametype == "bash")
		game["leaguestring"] = &"Bash Mode";
	if (level.gametype == "dm")
		game["leaguestring"] = &"PAM2 Deathmatch";
	if (!isdefined(game["leaguestring"]))
		game["leaguestring"] = &"Unknown Pam_Mode Error";
	precacheString(game["leaguestring"]);
	game["overtimemode"] = &"Overtime";
	precacheString(game["overtimemode"]);

	//PAM Enable
	game["pam_on_off"] = &"PAM Disabled";
	precacheString(game["pam_on_off"]);
	game["please_wait"] = &"Please Wait";
	precacheString(game["please_wait"]);

	// Team Win Hud Elements
	game["team1win"] = &"Team 1 Wins!";
	precacheString(game["team1win"]);
	game["team2win"] = &"Team 2 Wins!";
	precacheString(game["team2win"]);
	game["dsptie"] = &"Its a TIE!";
	precacheString(game["dsptie"]);
	game["matchover"] = &"Match Over";
	precacheString(game["matchover"]);
	game["overtime"] = &"Going to OverTime";
	precacheString(game["overtime"]);

	game["halftime"] = &"Halftime";
	precacheString(game["halftime"]);

	//Round Starting Display
	game["round"] = &"Round";
	precacheString(game["round"]);
	game["starting"] = &"Starting";
	precacheString(game["starting"]);

	// Strat Time Announcement
	game["strattime"] = &"Strat Time";
	precacheString(game["strattime"]);

	//Teams Swithcing Announcement
	game["switching"] = &"Team Auto-Switch";
	precacheString(game["switching"]);	
	game["switching2"] = &"Please wait";
	precacheString(game["switching2"]);

	game["startingin"] = &"Starting In";
	precacheString(game["startingin"]);		
	
	game["livemsg"] = &"LIVE!";
	precacheString(game["livemsg"]);

	//Half Starting Display
	game["first"] = &"First";
	precacheString(game["first"]);
	game["second"] = &"Second";
	precacheString(game["second"]);
	game["half"] = &"Half";
	precacheString(game["half"]);
	game["starting"] = &"Starting";
	precacheString(game["starting"]);

	// Ready-Up Plugin Requires:
	game["waiting"] = &"Ready-Up Mode";
	precacheString(game["waiting"]);
	game["waitingon"] = &"Waiting on";
	precacheString(game["waitingon"]);
	game["playerstext"] = &"Players";
	precacheString(game["playerstext"]);
	game["status"] = &"Your Status";
	precacheString(game["status"]);
	game["ready"] = &"Ready";
	precacheString(game["ready"]);
	game["notready"] = &"Not Ready";
	precacheString(game["notready"]);
	precacheStatusIcon("party_ready");
	precacheStatusIcon("party_notready");
	// Ready-Up Complete
	game["allready"] = &"All Players are Ready";
	precacheString(game["allready"]);
	game["start2ndhalf"] = &"Starting Second Half!";
	precacheString(game["start2ndhalf"]);
	game["start1sthalf"] = &"Starting the First Half!";
	precacheString(game["start1sthalf"]);
	// No Password
	game["no_password"] = &"Warning: No Server Password Set";
	precacheString(game["no_password"]);
	
	// Bash Round
	game["bashrnd"] = &"Starting Bash Round";
	precacheString(game["bashrnd"]);
	game["bashbegin"] = &"BEGIN!";
	precacheString(game["bashbegin"]);

	// Players Left Display		
	game["axis_hud_text"] = &"Axis Left";
	precacheString(game["axis_hud_text"]);
	game["allies_hud_text"] = &"Allies Left";
	precacheString(game["allies_hud_text"]);


	// Round Timer
	game["round"] = &"Round";
	precacheString(game["round"]);		
	game["startingin"] = &"Starting In";
	precacheString(game["startingin"]);		
	game["matchstarting"] = &"Match Starting In";
	precacheString(game["matchstarting"]);

	game["matchresuming"] = &"Match Resuming In";
	precacheString(game["matchresuming"]);

	// Scoreboard Text
	game["dspteam1"] = &"TEAM 1";
	precacheString(game["dspteam1"]);
	game["dspteam2"] = &"TEAM 2";
	precacheString(game["dspteam2"]);
	game["scorebd"] = &"Scoreboard";
	precacheString(game["scorebd"]);
	game["dspaxisscore"] = &"AXIS SCORE";
	precacheString(game["dspaxisscore"]);		
	game["dspalliesscore"] = &"ALLIES SCORE";
	precacheString(game["dspalliesscore"]);
	game["1sthalf"] = &"1st Half";
	precacheString(game["1sthalf"]);	
	game["2ndhalf"] = &"2nd Half";
	precacheString(game["2ndhalf"]);
	game["matchscore2"] = &"Match";
	precacheString(game["matchscore2"]);

	// Strat Time Announcement
	game["strattime"] = &"Strat Time";
	precacheString(game["strattime"]);

	precacheShader("hudStopwatch");
	precacheShader("hudStopwatchNeedle");

	//Health Bar
	game["health_back"] = "gfx/hud/hud@health_back.tga";
	precacheShader(game["health_back"]);
	game["health_bar"] = "gfx/hud/hud@health_bar.tga";
	precacheShader(game["health_bar"]);
	game["health_cross"] = "gfx/hud/hud@health_cross.tga";
	precacheShader(game["health_cross"]);

	//Health Packs
	game["Item_Healthpack"] = "xmodel/health_medium";
	precacheModel(game["Item_Healthpack"]);

	// /Record Reminder
	if (game["mode"] == "match")
	{
		game["rec_remind"] = &"Don't forget to record!";
		precacheString(game["rec_remind"]);
	}

	// CTF Status Icons
	if (level.gametype == "ctf")
	{
		precacheStatusIcon("compass_flag_" + game["allies"]);
		precacheStatusIcon("compass_flag_" + game["axis"]);

		game["alive_hud_text"] = &"Alive";
		precacheString(game["alive_hud_text"]);
	}
}