Get_TDM_Rules()
{
	switch (game["ruleset"])
	{	// Rule Files in Alpha Order
		case "acl":
			maps\pam\rules\tdm\acl::Rules();
			break;
		case "bcb":
			maps\pam\rules\tdm\bcb::Rules();
			break;
		case "bfl":
			maps\pam\rules\tdm\bfl::Rules();
			break;
		case "cal":
			maps\pam\rules\tdm\cal::Rules();
			break;
		case "cb":
			maps\pam\rules\tdm\cb::Rules();
			break;
		case "cb_rifle":
			maps\pam\rules\tdm\cb_rifle::Rules();
			break;
		case "cb_1v1":
			maps\pam\rules\tdm\cb_1v1::Rules();
			break;
		case "cb_2v2":
			maps\pam\rules\tdm\cb_2v2::Rules();
			break;
		case "cod_league":
			maps\pam\rules\tdm\cod_league::Rules();
			break;
		case "deathless":
			maps\pam\rules\tdm\deathless::Rules();
			break;
		case "ecl":
			maps\pam\rules\tdm\ecl::Rules();
			break;
		case "ecl_1v1":
			maps\pam\rules\tdm\ecl_1v1::Rules();
			break;
		case "ecw":
			maps\pam\rules\tdm\ecw::Rules();
			break;
		case "ed":
			maps\pam\rules\tdm\ed::Rules();
			break;
		case "edom":
			maps\pam\rules\tdm\edom::Rules();
			break;
		case "esl":
			maps\pam\rules\tdm\esl::Rules();
			break;
		case "esl_2v2":
			maps\pam\rules\tdm\esl_2v2::Rules();
			break;
		case "esleu":
			maps\pam\rules\tdm\esleu::Rules();
			break;
		case "esleu_2v2":
			maps\pam\rules\tdm\esleu_2v2::Rules();
			break;
		case "gwl":
			maps\pam\rules\tdm\gwl::Rules();
			break;
		case "gwl_rifles":
			maps\pam\rules\tdm\gwl_rifles::Rules();
			break;
		case "gwl_rifles_1v1":
			maps\pam\rules\tdm\gwl_rifles_1v1::Rules();
			break;
		case "lgz":
			maps\pam\rules\tdm\lgz::Rules();
			break;
		case "lgz_1v1":
			maps\pam\rules\tdm\lgz_1v1::Rules();
			break;
		case "lgz_2v2":
			maps\pam\rules\tdm\lgz_2v2::Rules();
			break;
		case "opencup":
			maps\pam\rules\tdm\opencup::Rules();
			break;
		case "twl_eu":
			maps\pam\rules\tdm\twl_eu::Rules();
			break;
		case "twl_eu_rifles":
			maps\pam\rules\tdm\twl_eu_rifles::Rules();
			break;
		case "twl_eu_smoke":
			maps\pam\rules\tdm\twl_eu_smoke::Rules();
			break;
		case "twl_eu_wawa":
			maps\pam\rules\tdm\twl_eu_wawa::Rules();
			break;
		case "twl_ladder":
			maps\pam\rules\tdm\twl_ladder::Rules();
			break;
		case "twl_league":
			maps\pam\rules\tdm\twl_league::Rules();
			break;
		case "twl_rifles":
			maps\pam\rules\tdm\twl_rifles::Rules();
			break;
		case "twl_stock":
			maps\pam\rules\tdm\twl_stock::Rules();
			break;

		case "pub":
		default:
			setCvar("pam_mode", "pub");
			game["ruleset"] = "pub";
			game["mode"] = "pub";
			maps\pam\rules\tdm\pub::Rules();
	}
}